/* Establece el contenedor superior del side menu como un contenedor flexbox,
   distribuye el espacio entre los elementos de manera uniforme,
   centra los elementos verticalmente y aplica un margen de 8px alrededor.
   También establece el color del texto en blanco y la fuente en negrita. */
   .top-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 8px;
    color: white;
    font-weight: bold;
}

/* Define el contenedor para el icono, estableciendo su tamaño y centrando el contenido.
   Esto asegura que todos los elementos estén alineados verticalmente en el centro. */
.icon-container {
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Ajusta el margen izquierdo del label para que no haya espacio extra. */
.label-container label {
    margin-left: -100px;
}

/* Configura el menú desplegable para que esté oculto por defecto,
   posicionado absolutamente en relación con el contenedor más cercano con posición relativa,
   y aplica un fondo oscuro, un mínimo ancho y una sombra. */
.dropdown-option {
    position: relative;
    margin: 8px;
}

.dropdown-menu {
    display: none;
    position: absolute;
    top: 100%;
    background-color: #555;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

/* Establece el color del texto en blanco, aplica padding y elimina el subrayado.
   Cada elemento del menú se muestra como un bloque. */
.dropdown-menu li {
    color: white;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

/* Cambia el color de fondo del elemento del menú cuando se pasa el mouse sobre él. */
.dropdown-menu li:hover {
    background-color: #777;
}

/* Muestra el menú desplegable cuando se pasa el mouse sobre la opción correspondiente. */
.dropdown-option:hover .dropdown-menu {
    display: block;
}

:root {
    --home: #304264;
    --dashboard: #304264;
    --layout: #304264;
    --settings: #304264;
    --logs: #304264;
}

/* Estilo para el contenedor de opciones del menú lateral */
.sidemenu-option {
    display: flex;
    align-items: center;
    margin: 8px 0;
}

/* Contenedor del ícono en el menú lateral */
.sidemenu-icon {
    width: 40px; /* Ajusta el tamaño del contenedor del ícono */
    height: 40px; /* Asegura que el contenedor del ícono sea un cuadrado */
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 10px; /* Espacio entre el ícono y el título */
}

/* Estilo para los íconos de Font Awesome dentro del contenedor */
.sidemenu-icon i {
    font-size: 24px; /* Ajusta el tamaño del ícono */
    color: white; /* Color del ícono */
}

/* Estilo para el título del menú lateral */
.sidemenu-title {
    font-size: 16px; /* Ajusta el tamaño de la fuente del título */
    color: white; /* Color del texto */
}

/* CHEVRON */
.fas.fa-chevron-down {
    margin-left: auto; 
    cursor: pointer; 
    color: #304264; 
    transition: transform 0.3s ease; /* Agrega transición al transform */
}

/* Estilo para los iconos del submenú */
/* Estilo para los elementos del submenú */
.submenu-item {
    display: flex; /* Para que los elementos se muestren en una fila */
    align-items: center; /* Para alinear verticalmente los elementos */
    padding: 8px 16px; /* Agrega un espacio interno para separar el texto del icono */
}

/* Estilo para los iconos del submenú */
.submenu-item i {
    color: white; /* Color blanco */
    font-size: 20px; /* Tamaño de fuente más grande */
    margin-right: 8px; /* Agrega espacio entre el icono y el texto */
}

/* Estilo para el texto del submenú */
.submenu-item span {
    color: white; /* Color blanco */
    font-size: 16px; /* Tamaño de fuente */
}

.submenu-container {
    display: none;
    margin-left: 20px; /* Espaciado para que el submenú se vea indentado */
}

.submenu-container.show {
    display: block;
}

/* Aplicar colores de fondo según el módulo usando variables CSS */
#sidemenu-option-home .sidemenu-icon { background-color: var(--home); }
#sidemenu-option-dashboard .sidemenu-icon { background-color: var(--dashboard); }
#sidemenu-option-layout .sidemenu-icon { background-color: var(--layout); }
#sidemenu-option-settings .sidemenu-icon { background-color: var(--settings); }
#sidemenu-option-logs .sidemenu-icon { background-color: var(--logs); }
